#ifndef UTILS_H
#define UTILS_H

#include "common.h"

extern SDL_Texture* Utils_CreateTextureFromFile(const char *filename, SDL_Renderer *renderer);
extern point_t      Utils_GetPositionFrame(const int frame, const int texture_width, const int frame_width);
extern int          Utils_GetIndexFrame(const int fx, const int fy, const int texture_width, const int frame_width);
extern point_t      Utils_GetPoint(int x, int y);
extern vector_t     Utils_GetVector(float x, float y);
extern SDL_Rect     Utils_GetRect(int x, int y, int width, int height);
extern bool         Utils_CompareStrings(const char *string1, const char *string2, const unsigned int length);
extern rgba_t       Utils_GetRGBA(uint8_t r, uint8_t g, uint8_t b, uint8_t a);
extern int          Utils_GetRandomRange(const int min, const int max);
extern bool         Utils_PointInCircle(const vector_t point, const vector_t center, const float radius);

#endif
